apiVersion: v1
kind: Template
labels:
  app: sonarqube
  template: sonarqube-buildconfig
metadata:
  annotations:
    description: SonarQube - BuildConfig
    iconClass: icon-openshift
    openshift.io/display-name: SonarQube
    tags: sonarqube
  name: sonarqube-buildconfig
objects:
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds SonarQube images
    labels:
      name: sonarqube-${SONARQUBE_REPOSITORY_REF}
    name: sonarqube-${SONARQUBE_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    output:
      to:
        kind: ImageStreamTag
        name: sonarqube:${SONARQUBE_REPOSITORY_REF}
    resources:
      limits:
        cpu: 400m
        memory: 3Gi
    source:
      contextDir: /
      git:
        ref: "${SONARQUBE_REPOSITORY_REF}"
        uri: ${SONARQUBE_REPOSITORY_URL}
      type: Git
    strategy:
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
      type: Docker
    successfulBuildsHistoryLimit: 2
    triggers:
    - type: ConfigChange
    - type: ImageChange
parameters:
- name: SONARQUBE_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  value: master
- name: SONARQUBE_REPOSITORY_URL
  description: The URL of the repository with your SonarQube Dockerfile
  displayName: Git Repository URL
  value: https://gitlab.com/synacksynack/opsperator/docker-sonarqube.git
